Bug 1130509 (dnssec_policy) - SELinux is preventing /usr/bin/python2.7 from 'add_name' accesses on the directory .
Summary: SELinux is preventing /usr/bin/python2.7 from 'add_name' accesses on the dire...
Keywords:
Status: CLOSED EOL
Alias: dnssec_policy
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fcf4218d7f6c98b5e346f25c584...
: 1130504 1130507 1130511 1130514 1130516 1130517 1130518 1130520 1130521 (view as bug list)
Depends On:
Blocks: Default_Local_DNS_Resolver
TreeView+ depends on / blocked
 
Reported: 2014-08-15 12:55 UTC by Moez Roy
Modified: 2015-06-29 22:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:04:48 UTC


Attachments (Terms of Use)

Description Moez Roy 2014-08-15 12:55:15 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'add_name' accesses on the directory .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that python2.7 should be allowed add_name access on the  directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dnssec-trigger- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:object_r:dnssec_trigger_var_run_t:s0
Target Objects                 [ dir ]
Source                        dnssec-trigger-
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-13.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.15.9-200.fc20.x86_64 #1 SMP Sat
                              Aug 9 09:02:55 UTC 2014 x86_64 x86_64
Alert Count                   15
First Seen                    2014-08-15 04:46:06 PDT
Last Seen                     2014-08-15 05:29:54 PDT
Local ID                      e60f39a5-c9b4-41bc-b97f-58d486a4cbbe

Raw Audit Messages
type=AVC msg=audit(1408105794.764:1081): avc:  denied  { add_name } for  pid=5652 comm="dnssec-trigger-" name="localhost.localdomain-c8a81740.5652" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:dnssec_trigger_var_run_t:s0 tclass=dir


type=AVC msg=audit(1408105794.764:1081): avc:  denied  { create } for  pid=5652 comm="dnssec-trigger-" name="localhost.localdomain-c8a81740.5652" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:dnssec_trigger_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1408105794.764:1081): arch=x86_64 syscall=open success=yes exit=E2BIG a0=f6efb0 a1=241 a2=1b6 a3=1 items=0 ppid=5645 pid=5652 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=dnssec-trigger- exe=/usr/bin/python2.7 subj=system_u:system_r:initrc_t:s0 key=(null)

Hash: dnssec-trigger-,initrc_t,dnssec_trigger_var_run_t,dir,add_name

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.9-200.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-08-15 15:48:03 UTC
Looks like we need policy for dnssec-trigger  or simply label the executable

dnssec_trigger_exec_t

If you chcon to this, does the problem go away?

Comment 2 Daniel Walsh 2014-08-15 15:48:31 UTC
*** Bug 1130507 has been marked as a duplicate of this bug. ***

Comment 3 Daniel Walsh 2014-08-15 15:48:49 UTC
*** Bug 1130504 has been marked as a duplicate of this bug. ***

Comment 4 Daniel Walsh 2014-08-15 16:09:22 UTC
*** Bug 1130516 has been marked as a duplicate of this bug. ***

Comment 5 Daniel Walsh 2014-08-15 16:09:35 UTC
*** Bug 1130517 has been marked as a duplicate of this bug. ***

Comment 6 Daniel Walsh 2014-08-15 16:09:46 UTC
*** Bug 1130518 has been marked as a duplicate of this bug. ***

Comment 7 Daniel Walsh 2014-08-15 16:10:23 UTC
*** Bug 1130521 has been marked as a duplicate of this bug. ***

Comment 8 Daniel Walsh 2014-08-15 16:10:30 UTC
*** Bug 1130520 has been marked as a duplicate of this bug. ***

Comment 9 Daniel Walsh 2014-08-15 16:10:37 UTC
*** Bug 1130514 has been marked as a duplicate of this bug. ***

Comment 10 Daniel Walsh 2014-08-15 16:10:52 UTC
*** Bug 1130511 has been marked as a duplicate of this bug. ***

Comment 11 Lukas Vrabec 2015-03-17 11:10:27 UTC
We already have policy for this.

Charles did you test it?

Comment 12 Fedora End Of Life 2015-05-29 12:38:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:04:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.